hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s Struct Reference

`#include <diff.h>`

## Data Fields

hwloc_topology_diff_obj_attr_type_t | type
hwloc_uint64_t | index
hwloc_uint64_t | oldvalue
hwloc_uint64_t | newvalue

## Detailed Description

Integer attribute modification with an optional index.

## Field Documentation

## index

hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::index

## newvalue

hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::newvalue

## oldvalue

hwloc_uint64_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::oldvalue

## type

hwloc_topology_diff_obj_attr_type_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_uint64_s::type

The documentation for this struct was generated from the following file:

- diff.h